Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api.logging
Enum LogLevel

    java.lang.Object
      java.lang.Enum<LogLevel>
          org.gradle.api.logging.LogLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogLevel>

    public enum LogLevel

extends java.lang.Enum<LogLevel>

Enum Constant Summary
`DEBUG`
`ERROR`
`INFO`
`LIFECYCLE`
`QUIET`
`WARN`

Method Summary
`abstract void` | `log(java.lang.String message)`
`abstract void` | `log(java.lang.String message, java.lang.Throwable t)`
`static LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUIET

    public static final LogLevel QUIET

### LIFECYCLE

    public static final LogLevel LIFECYCLE

### INFO

    public static final LogLevel INFO

### DEBUG

    public static final LogLevel DEBUG

### WARN

    public static final LogLevel WARN

### ERROR

    public static final LogLevel ERROR

Method Detail

### values

    public static final LogLevel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LogLevel c : LogLevel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LogLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### log

    public abstract void log(java.lang.String message)

### log

    public abstract void log(java.lang.String message,
                             java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD